[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[PATCH 2/5] daemons: make sure /proc is properly set up



This patch makes runsystem.sh check whether /proc is set up and does
so using settrans -c if it is not.

* daemons/runsystem.sh: Make sure /proc is set up.
---
 daemons/runsystem.sh |    8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/daemons/runsystem.sh b/daemons/runsystem.sh
index f4f2771..5a24674 100644
--- a/daemons/runsystem.sh
+++ b/daemons/runsystem.sh
@@ -68,6 +68,14 @@ if ! test -e /servers/socket/1 ; then
   fi
 fi
 
+# See whether procfs is set up
+if ! test -e /proc/cmdline ; then
+  # The root filesystem might be read-only at this point.
+  if fsysopts / --update --writable ; then
+    settrans -c /proc /hurd/procfs --compatible
+  fi
+fi
+
 # We expect to be started by console-run, which gives us no arguments and
 # puts FALLBACK_CONSOLE=file-name in the environment if our console is
 # other than a normal /dev/console.
-- 
1.7.10.4


Reply to: